Page MenuHomePhabricator

Enabled a bunch of tests on Linux
ClosedPublic

Authored by vharron on Mar 27 2015, 3:09 PM.

Details

Summary

Removed expectedFailureLinux from failures that I was unable to reproduce,
updated and improved some other comments near XFAIL tests

Diff Detail

Repository
rL LLVM

Event Timeline

vharron updated this revision to Diff 22827.Mar 27 2015, 3:09 PM
vharron retitled this revision from to Enabled a bunch of tests on Linux.
vharron updated this object.
vharron edited the test plan for this revision. (Show Details)
vharron added reviewers: clayborg, sivachandra.
vharron added a subscriber: Unknown Object (MLST).
sivachandra accepted this revision.Mar 27 2015, 3:37 PM
sivachandra edited edge metadata.

LGTM.
Couple of inline notes.

I was auditing the tests in http://reviews.llvm.org/D6910. Since you have already done, I am going to abandon that patch.

test/functionalities/dynamic_value_child_count/TestDynamicValueChildCount.py
24 ↗(On Diff #22827)

This is failing because of a completely different issue. If you replace the "continue" commands with "next", this test passes. I was digging into this exact test when I saw your patch.

test/python_api/thread/TestThreadAPI.py
78 ↗(On Diff #22827)

May be a PR for this as well?

This revision is now accepted and ready to land.Mar 27 2015, 3:37 PM
vharron added inline comments.Mar 30 2015, 6:17 PM
test/functionalities/dynamic_value_child_count/TestDynamicValueChildCount.py
24 ↗(On Diff #22827)

The build server seems to indicate that this is working on Darwin. The fact that it doesn't work on Linux concerns me.

test/python_api/thread/TestThreadAPI.py
78 ↗(On Diff #22827)

I will if I have more information than I can fit in the comment.

Please do not view my comments as blockers. As indicated in my first post, they are only notes for the trail.

test/functionalities/dynamic_value_child_count/TestDynamicValueChildCount.py
24 ↗(On Diff #22827)

What I am trying to hint here is that the test fails, but not because what is being tested is failing. This test case surfaces another, IMO fairly serious, issue.

test/python_api/thread/TestThreadAPI.py
78 ↗(On Diff #22827)

Your comment seems to be a workaround, which is good enough to be in a PR.

clayborg accepted this revision.Mar 31 2015, 9:32 AM
clayborg edited edge metadata.
This revision was automatically updated to reflect the committed changes.